<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .parent{
            height: 500000px;
            width: 5000000px;
            background-color: aqua;
        }
        .child1{
            
            position: fixed;
            height: 100px;
            width: 100px;
            background-color: red;
        }
        .child2{
            
            height: 100px;
            width: 100px;
            background-color: blueviolet;
        }
        .child3{
            height: 100px;
            width: 100px;
            background-color: black;
        }
        /* .box{
            height: 100px;
            width: 100px;
            background-color: black;
        } */

    </style>
</head>
<body>
    <div class="parent">
        <div class="box child1"></div>
        <div class="box child2"></div>
        <div class="box child3"></div>

    </div>
    
</body>
</html>